// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        (unknown)
// source: proto/fastdata.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ByteSlice struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []byte `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *ByteSlice) Reset() {
	*x = ByteSlice{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_fastdata_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ByteSlice) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ByteSlice) ProtoMessage() {}

func (x *ByteSlice) ProtoReflect() protoreflect.Message {
	mi := &file_proto_fastdata_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ByteSlice.ProtoReflect.Descriptor instead.
func (*ByteSlice) Descriptor() ([]byte, []int) {
	return file_proto_fastdata_proto_rawDescGZIP(), []int{0}
}

func (x *ByteSlice) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

type StringValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value string `protobuf:"bytes,1,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *StringValue) Reset() {
	*x = StringValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_fastdata_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StringValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StringValue) ProtoMessage() {}

func (x *StringValue) ProtoReflect() protoreflect.Message {
	mi := &file_proto_fastdata_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StringValue.ProtoReflect.Descriptor instead.
func (*StringValue) Descriptor() ([]byte, []int) {
	return file_proto_fastdata_proto_rawDescGZIP(), []int{1}
}

func (x *StringValue) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type Hero struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          string       `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name        string       `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Appearance  *Appearance  `protobuf:"bytes,3,opt,name=appearance,proto3" json:"appearance,omitempty"`
	Biography   *Biography   `protobuf:"bytes,4,opt,name=biography,proto3" json:"biography,omitempty"`
	Connections *Connections `protobuf:"bytes,5,opt,name=connections,proto3" json:"connections,omitempty"`
	Image       *Image       `protobuf:"bytes,6,opt,name=image,proto3" json:"image,omitempty"`
	Powerstats  *Powerstats  `protobuf:"bytes,7,opt,name=powerstats,proto3" json:"powerstats,omitempty"`
	Response    string       `protobuf:"bytes,8,opt,name=response,proto3" json:"response,omitempty"`
	Work        *Work        `protobuf:"bytes,9,opt,name=work,proto3" json:"work,omitempty"`
}

func (x *Hero) Reset() {
	*x = Hero{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_fastdata_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Hero) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Hero) ProtoMessage() {}

func (x *Hero) ProtoReflect() protoreflect.Message {
	mi := &file_proto_fastdata_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Hero.ProtoReflect.Descriptor instead.
func (*Hero) Descriptor() ([]byte, []int) {
	return file_proto_fastdata_proto_rawDescGZIP(), []int{2}
}

func (x *Hero) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Hero) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Hero) GetAppearance() *Appearance {
	if x != nil {
		return x.Appearance
	}
	return nil
}

func (x *Hero) GetBiography() *Biography {
	if x != nil {
		return x.Biography
	}
	return nil
}

func (x *Hero) GetConnections() *Connections {
	if x != nil {
		return x.Connections
	}
	return nil
}

func (x *Hero) GetImage() *Image {
	if x != nil {
		return x.Image
	}
	return nil
}

func (x *Hero) GetPowerstats() *Powerstats {
	if x != nil {
		return x.Powerstats
	}
	return nil
}

func (x *Hero) GetResponse() string {
	if x != nil {
		return x.Response
	}
	return ""
}

func (x *Hero) GetWork() *Work {
	if x != nil {
		return x.Work
	}
	return nil
}

type Appearance struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	EyeColor  string   `protobuf:"bytes,1,opt,name=eye_color,json=eyeColor,proto3" json:"eye_color,omitempty"`
	Gender    string   `protobuf:"bytes,2,opt,name=gender,proto3" json:"gender,omitempty"`
	HairColor string   `protobuf:"bytes,3,opt,name=hair_color,json=hairColor,proto3" json:"hair_color,omitempty"`
	Height    []string `protobuf:"bytes,4,rep,name=height,proto3" json:"height,omitempty"`
	Race      string   `protobuf:"bytes,5,opt,name=race,proto3" json:"race,omitempty"`
	Weight    []string `protobuf:"bytes,6,rep,name=weight,proto3" json:"weight,omitempty"`
}

func (x *Appearance) Reset() {
	*x = Appearance{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_fastdata_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Appearance) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Appearance) ProtoMessage() {}

func (x *Appearance) ProtoReflect() protoreflect.Message {
	mi := &file_proto_fastdata_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Appearance.ProtoReflect.Descriptor instead.
func (*Appearance) Descriptor() ([]byte, []int) {
	return file_proto_fastdata_proto_rawDescGZIP(), []int{3}
}

func (x *Appearance) GetEyeColor() string {
	if x != nil {
		return x.EyeColor
	}
	return ""
}

func (x *Appearance) GetGender() string {
	if x != nil {
		return x.Gender
	}
	return ""
}

func (x *Appearance) GetHairColor() string {
	if x != nil {
		return x.HairColor
	}
	return ""
}

func (x *Appearance) GetHeight() []string {
	if x != nil {
		return x.Height
	}
	return nil
}

func (x *Appearance) GetRace() string {
	if x != nil {
		return x.Race
	}
	return ""
}

func (x *Appearance) GetWeight() []string {
	if x != nil {
		return x.Weight
	}
	return nil
}

type Biography struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Aliases         []string `protobuf:"bytes,1,rep,name=aliases,proto3" json:"aliases,omitempty"`
	Alignment       string   `protobuf:"bytes,2,opt,name=alignment,proto3" json:"alignment,omitempty"`
	AlterEgos       string   `protobuf:"bytes,3,opt,name=alter_egos,json=alterEgos,proto3" json:"alter_egos,omitempty"`
	FirstAppearance string   `protobuf:"bytes,4,opt,name=first_appearance,json=firstAppearance,proto3" json:"first_appearance,omitempty"`
	FullName        string   `protobuf:"bytes,5,opt,name=full_name,json=fullName,proto3" json:"full_name,omitempty"`
	PlaceOfBirth    string   `protobuf:"bytes,6,opt,name=place_of_birth,json=placeOfBirth,proto3" json:"place_of_birth,omitempty"`
	Publisher       string   `protobuf:"bytes,7,opt,name=publisher,proto3" json:"publisher,omitempty"`
}

func (x *Biography) Reset() {
	*x = Biography{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_fastdata_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Biography) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Biography) ProtoMessage() {}

func (x *Biography) ProtoReflect() protoreflect.Message {
	mi := &file_proto_fastdata_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Biography.ProtoReflect.Descriptor instead.
func (*Biography) Descriptor() ([]byte, []int) {
	return file_proto_fastdata_proto_rawDescGZIP(), []int{4}
}

func (x *Biography) GetAliases() []string {
	if x != nil {
		return x.Aliases
	}
	return nil
}

func (x *Biography) GetAlignment() string {
	if x != nil {
		return x.Alignment
	}
	return ""
}

func (x *Biography) GetAlterEgos() string {
	if x != nil {
		return x.AlterEgos
	}
	return ""
}

func (x *Biography) GetFirstAppearance() string {
	if x != nil {
		return x.FirstAppearance
	}
	return ""
}

func (x *Biography) GetFullName() string {
	if x != nil {
		return x.FullName
	}
	return ""
}

func (x *Biography) GetPlaceOfBirth() string {
	if x != nil {
		return x.PlaceOfBirth
	}
	return ""
}

func (x *Biography) GetPublisher() string {
	if x != nil {
		return x.Publisher
	}
	return ""
}

type Connections struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	GroupAffiliation string `protobuf:"bytes,1,opt,name=group_affiliation,json=groupAffiliation,proto3" json:"group_affiliation,omitempty"`
	Relatives        string `protobuf:"bytes,2,opt,name=relatives,proto3" json:"relatives,omitempty"`
}

func (x *Connections) Reset() {
	*x = Connections{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_fastdata_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Connections) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Connections) ProtoMessage() {}

func (x *Connections) ProtoReflect() protoreflect.Message {
	mi := &file_proto_fastdata_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Connections.ProtoReflect.Descriptor instead.
func (*Connections) Descriptor() ([]byte, []int) {
	return file_proto_fastdata_proto_rawDescGZIP(), []int{5}
}

func (x *Connections) GetGroupAffiliation() string {
	if x != nil {
		return x.GroupAffiliation
	}
	return ""
}

func (x *Connections) GetRelatives() string {
	if x != nil {
		return x.Relatives
	}
	return ""
}

type Image struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Url string `protobuf:"bytes,1,opt,name=url,proto3" json:"url,omitempty"`
}

func (x *Image) Reset() {
	*x = Image{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_fastdata_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Image) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Image) ProtoMessage() {}

func (x *Image) ProtoReflect() protoreflect.Message {
	mi := &file_proto_fastdata_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Image.ProtoReflect.Descriptor instead.
func (*Image) Descriptor() ([]byte, []int) {
	return file_proto_fastdata_proto_rawDescGZIP(), []int{6}
}

func (x *Image) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

type Powerstats struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Combat       string `protobuf:"bytes,1,opt,name=combat,proto3" json:"combat,omitempty"`
	Durability   string `protobuf:"bytes,2,opt,name=durability,proto3" json:"durability,omitempty"`
	Intelligence string `protobuf:"bytes,3,opt,name=intelligence,proto3" json:"intelligence,omitempty"`
	Power        string `protobuf:"bytes,4,opt,name=power,proto3" json:"power,omitempty"`
	Speed        string `protobuf:"bytes,5,opt,name=speed,proto3" json:"speed,omitempty"`
	Strength     string `protobuf:"bytes,6,opt,name=strength,proto3" json:"strength,omitempty"`
}

func (x *Powerstats) Reset() {
	*x = Powerstats{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_fastdata_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Powerstats) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Powerstats) ProtoMessage() {}

func (x *Powerstats) ProtoReflect() protoreflect.Message {
	mi := &file_proto_fastdata_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Powerstats.ProtoReflect.Descriptor instead.
func (*Powerstats) Descriptor() ([]byte, []int) {
	return file_proto_fastdata_proto_rawDescGZIP(), []int{7}
}

func (x *Powerstats) GetCombat() string {
	if x != nil {
		return x.Combat
	}
	return ""
}

func (x *Powerstats) GetDurability() string {
	if x != nil {
		return x.Durability
	}
	return ""
}

func (x *Powerstats) GetIntelligence() string {
	if x != nil {
		return x.Intelligence
	}
	return ""
}

func (x *Powerstats) GetPower() string {
	if x != nil {
		return x.Power
	}
	return ""
}

func (x *Powerstats) GetSpeed() string {
	if x != nil {
		return x.Speed
	}
	return ""
}

func (x *Powerstats) GetStrength() string {
	if x != nil {
		return x.Strength
	}
	return ""
}

type Work struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Base       string `protobuf:"bytes,1,opt,name=base,proto3" json:"base,omitempty"`
	Occupation string `protobuf:"bytes,2,opt,name=occupation,proto3" json:"occupation,omitempty"`
}

func (x *Work) Reset() {
	*x = Work{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_fastdata_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Work) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Work) ProtoMessage() {}

func (x *Work) ProtoReflect() protoreflect.Message {
	mi := &file_proto_fastdata_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Work.ProtoReflect.Descriptor instead.
func (*Work) Descriptor() ([]byte, []int) {
	return file_proto_fastdata_proto_rawDescGZIP(), []int{8}
}

func (x *Work) GetBase() string {
	if x != nil {
		return x.Base
	}
	return ""
}

func (x *Work) GetOccupation() string {
	if x != nil {
		return x.Occupation
	}
	return ""
}

var File_proto_fastdata_proto protoreflect.FileDescriptor

var file_proto_fastdata_proto_rawDesc = []byte{
	0x0a, 0x14, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x66, 0x61, 0x73, 0x74, 0x64, 0x61, 0x74, 0x61,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65,
	0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x1f, 0x0a, 0x09, 0x42, 0x79,
	0x74, 0x65, 0x53, 0x6c, 0x69, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x23, 0x0a, 0x0b, 0x53,
	0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x22, 0xd7, 0x02, 0x0a, 0x04, 0x48, 0x65, 0x72, 0x6f, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x31, 0x0a,
	0x0a, 0x61, 0x70, 0x70, 0x65, 0x61, 0x72, 0x61, 0x6e, 0x63, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x11, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x41, 0x70, 0x70, 0x65, 0x61, 0x72,
	0x61, 0x6e, 0x63, 0x65, 0x52, 0x0a, 0x61, 0x70, 0x70, 0x65, 0x61, 0x72, 0x61, 0x6e, 0x63, 0x65,
	0x12, 0x2e, 0x0a, 0x09, 0x62, 0x69, 0x6f, 0x67, 0x72, 0x61, 0x70, 0x68, 0x79, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x42, 0x69, 0x6f, 0x67,
	0x72, 0x61, 0x70, 0x68, 0x79, 0x52, 0x09, 0x62, 0x69, 0x6f, 0x67, 0x72, 0x61, 0x70, 0x68, 0x79,
	0x12, 0x34, 0x0a, 0x0b, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x0b, 0x63, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x22, 0x0a, 0x05, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x49, 0x6d,
	0x61, 0x67, 0x65, 0x52, 0x05, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x12, 0x31, 0x0a, 0x0a, 0x70, 0x6f,
	0x77, 0x65, 0x72, 0x73, 0x74, 0x61, 0x74, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x50, 0x6f, 0x77, 0x65, 0x72, 0x73, 0x74, 0x61, 0x74,
	0x73, 0x52, 0x0a, 0x70, 0x6f, 0x77, 0x65, 0x72, 0x73, 0x74, 0x61, 0x74, 0x73, 0x12, 0x1a, 0x0a,
	0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1f, 0x0a, 0x04, 0x77, 0x6f, 0x72,
	0x6b, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e,
	0x57, 0x6f, 0x72, 0x6b, 0x52, 0x04, 0x77, 0x6f, 0x72, 0x6b, 0x22, 0xa4, 0x01, 0x0a, 0x0a, 0x41,
	0x70, 0x70, 0x65, 0x61, 0x72, 0x61, 0x6e, 0x63, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x65, 0x79, 0x65,
	0x5f, 0x63, 0x6f, 0x6c, 0x6f, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x65, 0x79,
	0x65, 0x43, 0x6f, 0x6c, 0x6f, 0x72, 0x12, 0x16, 0x0a, 0x06, 0x67, 0x65, 0x6e, 0x64, 0x65, 0x72,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x67, 0x65, 0x6e, 0x64, 0x65, 0x72, 0x12, 0x1d,
	0x0a, 0x0a, 0x68, 0x61, 0x69, 0x72, 0x5f, 0x63, 0x6f, 0x6c, 0x6f, 0x72, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x09, 0x68, 0x61, 0x69, 0x72, 0x43, 0x6f, 0x6c, 0x6f, 0x72, 0x12, 0x16, 0x0a,
	0x06, 0x68, 0x65, 0x69, 0x67, 0x68, 0x74, 0x18, 0x04, 0x20, 0x03, 0x28, 0x09, 0x52, 0x06, 0x68,
	0x65, 0x69, 0x67, 0x68, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x72, 0x61, 0x63, 0x65, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x72, 0x61, 0x63, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x77, 0x65, 0x69,
	0x67, 0x68, 0x74, 0x18, 0x06, 0x20, 0x03, 0x28, 0x09, 0x52, 0x06, 0x77, 0x65, 0x69, 0x67, 0x68,
	0x74, 0x22, 0xee, 0x01, 0x0a, 0x09, 0x42, 0x69, 0x6f, 0x67, 0x72, 0x61, 0x70, 0x68, 0x79, 0x12,
	0x18, 0x0a, 0x07, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09,
	0x52, 0x07, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x65, 0x73, 0x12, 0x1c, 0x0a, 0x09, 0x61, 0x6c, 0x69,
	0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x61, 0x6c,
	0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x61, 0x6c, 0x74, 0x65, 0x72,
	0x5f, 0x65, 0x67, 0x6f, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x61, 0x6c, 0x74,
	0x65, 0x72, 0x45, 0x67, 0x6f, 0x73, 0x12, 0x29, 0x0a, 0x10, 0x66, 0x69, 0x72, 0x73, 0x74, 0x5f,
	0x61, 0x70, 0x70, 0x65, 0x61, 0x72, 0x61, 0x6e, 0x63, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0f, 0x66, 0x69, 0x72, 0x73, 0x74, 0x41, 0x70, 0x70, 0x65, 0x61, 0x72, 0x61, 0x6e, 0x63,
	0x65, 0x12, 0x1b, 0x0a, 0x09, 0x66, 0x75, 0x6c, 0x6c, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x66, 0x75, 0x6c, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x24,
	0x0a, 0x0e, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x5f, 0x6f, 0x66, 0x5f, 0x62, 0x69, 0x72, 0x74, 0x68,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x4f, 0x66, 0x42,
	0x69, 0x72, 0x74, 0x68, 0x12, 0x1c, 0x0a, 0x09, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x65,
	0x72, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68,
	0x65, 0x72, 0x22, 0x58, 0x0a, 0x0b, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x12, 0x2b, 0x0a, 0x11, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x61, 0x66, 0x66, 0x69, 0x6c,
	0x69, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x67, 0x72,
	0x6f, 0x75, 0x70, 0x41, 0x66, 0x66, 0x69, 0x6c, 0x69, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1c,
	0x0a, 0x09, 0x72, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x09, 0x72, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x73, 0x22, 0x19, 0x0a, 0x05,
	0x49, 0x6d, 0x61, 0x67, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x75, 0x72, 0x6c, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x03, 0x75, 0x72, 0x6c, 0x22, 0xb0, 0x01, 0x0a, 0x0a, 0x50, 0x6f, 0x77, 0x65,
	0x72, 0x73, 0x74, 0x61, 0x74, 0x73, 0x12, 0x16, 0x0a, 0x06, 0x63, 0x6f, 0x6d, 0x62, 0x61, 0x74,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x63, 0x6f, 0x6d, 0x62, 0x61, 0x74, 0x12, 0x1e,
	0x0a, 0x0a, 0x64, 0x75, 0x72, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0a, 0x64, 0x75, 0x72, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x22,
	0x0a, 0x0c, 0x69, 0x6e, 0x74, 0x65, 0x6c, 0x6c, 0x69, 0x67, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x69, 0x6e, 0x74, 0x65, 0x6c, 0x6c, 0x69, 0x67, 0x65, 0x6e,
	0x63, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x70, 0x6f, 0x77, 0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x70, 0x6f, 0x77, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x70, 0x65, 0x65,
	0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x73, 0x70, 0x65, 0x65, 0x64, 0x12, 0x1a,
	0x0a, 0x08, 0x73, 0x74, 0x72, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x08, 0x73, 0x74, 0x72, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x22, 0x3a, 0x0a, 0x04, 0x57, 0x6f,
	0x72, 0x6b, 0x12, 0x12, 0x0a, 0x04, 0x62, 0x61, 0x73, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x62, 0x61, 0x73, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x6f, 0x63, 0x63, 0x75, 0x70, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x6f, 0x63, 0x63, 0x75,
	0x70, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x32, 0xac, 0x01, 0x0a, 0x0b, 0x48, 0x65, 0x72, 0x6f, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x2f, 0x0a, 0x05, 0x47, 0x65, 0x74, 0x49, 0x44, 0x12,
	0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x1a, 0x10, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x42, 0x79, 0x74, 0x65,
	0x53, 0x6c, 0x69, 0x63, 0x65, 0x22, 0x00, 0x12, 0x31, 0x0a, 0x07, 0x47, 0x65, 0x74, 0x4e, 0x61,
	0x6d, 0x65, 0x12, 0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e,
	0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x1a, 0x10, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x42,
	0x79, 0x74, 0x65, 0x53, 0x6c, 0x69, 0x63, 0x65, 0x22, 0x00, 0x12, 0x39, 0x0a, 0x0b, 0x47, 0x65,
	0x74, 0x4e, 0x61, 0x6d, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74,
	0x79, 0x1a, 0x10, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x42, 0x79, 0x74, 0x65, 0x53, 0x6c,
	0x69, 0x63, 0x65, 0x22, 0x00, 0x42, 0x49, 0x5a, 0x47, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x6a, 0x65, 0x66, 0x66, 0x6f, 0x74, 0x6f, 0x6e, 0x69, 0x31, 0x2f, 0x65,
	0x76, 0x65, 0x6e, 0x74, 0x6f, 0x67, 0x6f, 0x2f, 0x73, 0x64, 0x6b, 0x2f, 0x66, 0x61, 0x73, 0x74,
	0x64, 0x61, 0x74, 0x61, 0x2f, 0x7a, 0x65, 0x72, 0x6f, 0x68, 0x65, 0x72, 0x6f, 0x2f, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_fastdata_proto_rawDescOnce sync.Once
	file_proto_fastdata_proto_rawDescData = file_proto_fastdata_proto_rawDesc
)

func file_proto_fastdata_proto_rawDescGZIP() []byte {
	file_proto_fastdata_proto_rawDescOnce.Do(func() {
		file_proto_fastdata_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_fastdata_proto_rawDescData)
	})
	return file_proto_fastdata_proto_rawDescData
}

var file_proto_fastdata_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_proto_fastdata_proto_goTypes = []interface{}{
	(*ByteSlice)(nil),     // 0: proto.ByteSlice
	(*StringValue)(nil),   // 1: proto.StringValue
	(*Hero)(nil),          // 2: proto.Hero
	(*Appearance)(nil),    // 3: proto.Appearance
	(*Biography)(nil),     // 4: proto.Biography
	(*Connections)(nil),   // 5: proto.Connections
	(*Image)(nil),         // 6: proto.Image
	(*Powerstats)(nil),    // 7: proto.Powerstats
	(*Work)(nil),          // 8: proto.Work
	(*emptypb.Empty)(nil), // 9: google.protobuf.Empty
}
var file_proto_fastdata_proto_depIdxs = []int32{
	3, // 0: proto.Hero.appearance:type_name -> proto.Appearance
	4, // 1: proto.Hero.biography:type_name -> proto.Biography
	5, // 2: proto.Hero.connections:type_name -> proto.Connections
	6, // 3: proto.Hero.image:type_name -> proto.Image
	7, // 4: proto.Hero.powerstats:type_name -> proto.Powerstats
	8, // 5: proto.Hero.work:type_name -> proto.Work
	1, // 6: proto.HeroService.GetID:input_type -> proto.StringValue
	1, // 7: proto.HeroService.GetName:input_type -> proto.StringValue
	9, // 8: proto.HeroService.GetNameList:input_type -> google.protobuf.Empty
	0, // 9: proto.HeroService.GetID:output_type -> proto.ByteSlice
	0, // 10: proto.HeroService.GetName:output_type -> proto.ByteSlice
	0, // 11: proto.HeroService.GetNameList:output_type -> proto.ByteSlice
	9, // [9:12] is the sub-list for method output_type
	6, // [6:9] is the sub-list for method input_type
	6, // [6:6] is the sub-list for extension type_name
	6, // [6:6] is the sub-list for extension extendee
	0, // [0:6] is the sub-list for field type_name
}

func init() { file_proto_fastdata_proto_init() }
func file_proto_fastdata_proto_init() {
	if File_proto_fastdata_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_proto_fastdata_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ByteSlice); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_fastdata_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StringValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_fastdata_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Hero); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_fastdata_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Appearance); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_fastdata_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Biography); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_fastdata_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Connections); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_fastdata_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Image); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_fastdata_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Powerstats); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_fastdata_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Work); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_fastdata_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_proto_fastdata_proto_goTypes,
		DependencyIndexes: file_proto_fastdata_proto_depIdxs,
		MessageInfos:      file_proto_fastdata_proto_msgTypes,
	}.Build()
	File_proto_fastdata_proto = out.File
	file_proto_fastdata_proto_rawDesc = nil
	file_proto_fastdata_proto_goTypes = nil
	file_proto_fastdata_proto_depIdxs = nil
}
